
function split(source, delimiters) 
if (source == nil) or (delimiters == nil) then
  return nil
  end
local elements = {} 
local pattern = '([^'..delimiters..']+)'
string.gsub(source, pattern, function(value) elements[#elements + 1] = value; end); 
return elements 
end

function splitPath(path)
s = split(arg[0], pathdelimiter)
print("s:", s)
if (pathdelimiter == '/') then
  path = pathdelimiter
else  
  path = ""
  end
for i = 1, #s-1 do
--  print(s[i])
  path = path .. s[i] .. pathdelimiter
  end
return path, s[#s]
end

local function getValue(ar, Key)
if (ar == nil) or (Key == nil) then
  return nil
  end
for k, v in ipairs(ar) do
  local row = split(v, '=') 
  if (row[1] == Key) then
    return row[2]
    end
  end  
return nil
end


local function main()

local ParsArray = split(Pars, '&')

--Pars: ...path=hist.hst&file=xxx&

path = getValue(ParsArray, "path")
filename = getValue(ParsArray, "file")
newfile = getValue(ParsArray, "new")
Blanks = string.find(filename, "%%20")
Blanks2 = string.find(newfile, "%%20")
if (Blanks2 ~= nil) then
  newfile = string.gsub(newfile, "%%20", " ")
  end
if (Blanks ~= nil) then   -- mit Blanks funktioniert es nicht über EE
  filename = string.gsub(filename, "%%20", " ")
  os.rename(path .. filename, path .. newfile)
  else
  os.execute("/usr/local/homeputer/xmlrpccall workfile psss /usr/local/homeputer/CTLEXEN.CFG ren " .. path .. filename .. " " .. path .. newfile)
  end
end

main()

