
function split(source, delimiters) 
if (source == nil) or (delimiters == nil) then
  return nil
  end
local elements = {} 
local pattern = '([^'..delimiters..']+)'
string.gsub(source, pattern, function(value) elements[#elements + 1] = value; end); 
return elements 
end

function splitPath(path)
s = split(arg[0], pathdelimiter)
print("s:", s)
if (pathdelimiter == '/') then
  path = pathdelimiter
else  
  path = ""
  end
for i = 1, #s-1 do
--  print(s[i])
  path = path .. s[i] .. pathdelimiter
  end
return path, s[#s]
end

local function getValue(ar, Key)
if (ar == nil) or (Key == nil) then
  return nil
  end
for k, v in ipairs(ar) do
  local row = split(v, '=') 
  if (row[1] == Key) then
    return row[2]
    end
  end  
return nil
end


local function main()

--print("Pars:", Pars)
local ParsArray = split(Pars, '&')

--Pars: HTM=main.cls&FROM=Workfiles.cls&Filebox=hist.hst&Newfile=

path = getValue(ParsArray, "path")
--print("path = " .. path)
filename = getValue(ParsArray, "file")
--print("file = " .. filename)
pathframe = "'" .. path .. "'"
print('<button type="button" onclick="clickBack(' .. pathframe .. ')">Zur&uuml;ck</button><br><br>')

file = io.open(path .. filename,"r")
if (file == nil) then
  print("Fehler! Datei " .. path .. filename .. " konnte nicht gelesen werden\n")
  return
  end

z = file:read()
while (z ~= nil) do
  print(z);
  print("<br>")
  z = file:read() 
end

end

main()

