

function split(source, delimiters) 
if (source == nil) or (delimiters == nil) then
  return nil
  end
local elements = {} 
local pattern = '([^'..delimiters..']+)'
string.gsub(source, pattern, function(value) elements[#elements + 1] = value; end); 
return elements 
end

function splitPath(path)
s = split(arg[0], pathdelimiter)
--print("s:", s)
if (pathdelimiter == '/') then
  path = pathdelimiter
else  
  path = ""
  end
for i = 1, #s-1 do
--  print(s[i])
  path = path .. s[i] .. pathdelimiter
  end
return path, s[#s]
end

local function getValue(ar, Key)
if (ar == nil) or (Key == nil) then
  return nil
  end
for k, v in ipairs(ar) do
  local row = split(v, '=') 
  if (row[1] == Key) then
    return row[2]
    end
  end  
return nil
end


local function main()
--print("Pars:", Pars)
local ParsArray = split(Pars, '&')

----Pars: ...path=/media/usb0
path = getValue(ParsArray, "path")
TabFile = dir(path)
if TabFile ~= nil then
  table.sort(TabFile)
  filecount = #TabFile 
else
  filecount = 0
  end

for i = 1, filecount do 
  if (TabFile[i] ~= ".") and (TabFile[i] ~= "..") then
    fi = split(TabFile[i], "=")
    if ((fi[2] ~= "4") and (fi[2] ~= "10")) then
      print("<option id=File" .. i .. ">" .. fi[1] .. "</option>")
      end
    end
  end
end

main()	
